Subject: Re: bug#70246: 30.0.50; Update INSTALL for native compilation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Apr 2024 14:10:12 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 07 Apr 2024 21:14:08 +0200
> 
> > The bottom line is that the Lisp and Info files will be taken from the
> > source tree, not from the build tree.  So if you have more than one
> > build from the same source tree, then they all share the Lisp and Info
> > files.  Therefore, if you modify anything in the source tree, you must
> > rebuild all the out-of-tree builds, otherwise those you don't rebuild
> > will be inconsistent with the modified sources.
> 
> Yes, but if you instead make copies of the sources (or different repo
> branches) to build different configurations and make changes that you
> want to test in all configurations, then you have to make those changes
> in each copy or branch and rebuild them all, too.  So there are
> trade-offs in both procedures.

My point was not that there aren't tradeoffs, my point was that
building out of source has certain subtleties that need to be
understood to avoid surprises.

> @@ -574,6 +601,11 @@ are installed in the following directories:
>  		at the same time; in particular, you don't have to
>  		make Emacs unavailable while installing a new version.
> 
> +'/usr/local/lib/emacs/VERSION/native-lisp' holds the natively compiled
> +		pre-loaded Emacs Lisp files.
> +
> +'~/.emacs.d/eln-cache/' holds the remaining natively compiled Lisp files.
> +
>  '/usr/local/share/emacs/VERSION/etc' holds the Emacs tutorial, the DOC
>  		file, and other architecture-independent files Emacs
>  		might need while running.

Here you didn't make the change I suggested:

> > +'/usr/local/lib/emacs/VERSION/native-lisp' holds the natively compiled
> > +		pre-loaded Emacs Lisp files.
> 
> The above also contains the other Lisp files if using the
> "--with-native-compilation=aot" configure-time option.
> 
> > +'~/.emacs.d/eln-cache/' holds the remaining natively compiled Lisp files.
> 
> Instead of "remaining" I'd say "just-in-time natively compiled Lisp
> files".

Without that, these are a bit inaccurate, and could be misinterpreted.

Other that that, the patch LGTM, thanks.